"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }// index.js
var _helpers = require('@turf/helpers');
var _polygonclipping = require('polygon-clipping'); var _polygonclipping2 = _interopRequireDefault(_polygonclipping);
function mask(polygon, mask2) {
  var maskPolygon = createMask(mask2);
  var polygonOuters = null;
  if (polygon.type === "FeatureCollection")
    polygonOuters = unionFc(polygon);
  else
    polygonOuters = createGeomFromPolygonClippingOutput(
      _polygonclipping2.default.union(polygon.geometry.coordinates)
    );
  polygonOuters.geometry.coordinates.forEach(function(contour) {
    maskPolygon.geometry.coordinates.push(contour[0]);
  });
  return maskPolygon;
}
function unionFc(fc) {
  var unioned = fc.features.length === 2 ? _polygonclipping2.default.union(
    fc.features[0].geometry.coordinates,
    fc.features[1].geometry.coordinates
  ) : _polygonclipping2.default.union.apply(
    _polygonclipping2.default,
    fc.features.map(function(f) {
      return f.geometry.coordinates;
    })
  );
  return createGeomFromPolygonClippingOutput(unioned);
}
function createGeomFromPolygonClippingOutput(unioned) {
  return _helpers.multiPolygon.call(void 0, unioned);
}
function createMask(mask2) {
  var world = [
    [
      [180, 90],
      [-180, 90],
      [-180, -90],
      [180, -90],
      [180, 90]
    ]
  ];
  var coordinates = mask2 && mask2.geometry.coordinates || world;
  return _helpers.polygon.call(void 0, coordinates);
}
var turf_mask_default = mask;



exports.default = turf_mask_default; exports.mask = mask;
//# sourceMappingURL=index.cjs.map