// index.js
import { polygon as createPolygon, multiPolygon } from "@turf/helpers";
import polygonClipping from "polygon-clipping";
function mask(polygon, mask2) {
  var maskPolygon = createMask(mask2);
  var polygonOuters = null;
  if (polygon.type === "FeatureCollection")
    polygonOuters = unionFc(polygon);
  else
    polygonOuters = createGeomFromPolygonClippingOutput(
      polygonClipping.union(polygon.geometry.coordinates)
    );
  polygonOuters.geometry.coordinates.forEach(function(contour) {
    maskPolygon.geometry.coordinates.push(contour[0]);
  });
  return maskPolygon;
}
function unionFc(fc) {
  var unioned = fc.features.length === 2 ? polygonClipping.union(
    fc.features[0].geometry.coordinates,
    fc.features[1].geometry.coordinates
  ) : polygonClipping.union.apply(
    polygonClipping,
    fc.features.map(function(f) {
      return f.geometry.coordinates;
    })
  );
  return createGeomFromPolygonClippingOutput(unioned);
}
function createGeomFromPolygonClippingOutput(unioned) {
  return multiPolygon(unioned);
}
function createMask(mask2) {
  var world = [
    [
      [180, 90],
      [-180, 90],
      [-180, -90],
      [180, -90],
      [180, 90]
    ]
  ];
  var coordinates = mask2 && mask2.geometry.coordinates || world;
  return createPolygon(coordinates);
}
var turf_mask_default = mask;
export {
  turf_mask_default as default,
  mask
};
//# sourceMappingURL=index.js.map